#include<iostream>

using namespace std;


int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, l; cin >> n >> l;
    int H[n];

    for(int i = 0; i < n; i++){
        cin >> H[i];
    }

    for(int i = 0; i < n; i++){

        if( H[i] < l ){


            cout << i+1 << endl;
            break;
        }

        if(i == n-1) {
                cout << -1 << endl;
                break;
            }

    }

}